Subject: [Anima-bootstrap] Crypto parameters [Re: a repost of summary]

From: Brian E Carpenter <[email-masked]>
Date: Mon, 06 Jul 2015 11:25:07 +1200

I'm in catch-up mode:
On 25/06/2015 02:06, Michael Richardson wrote:

...
>      it turns out there is an additional benefit in making the constrained
>      node the TLS "Server" -- side. Specifically, it means that the selection
>      of crypto parameters is done by the more constrained device, 

Point taken, but isn't that also an exposure to a downgrade attack
by a bad actor pretending to be constrained in order to reduce
algorithm or key strength?

   Brian

---

From: Michael Richardson <[email-masked]>
Date: Sun, 05 Jul 2015 20:46:37 -0400

Brian E Carpenter <[email-masked]> wrote:
    > I'm in catch-up mode: On 25/06/2015 02:06, Michael Richardson wrote:

    >> node the TLS "Server" -- side. Specifically, it means that the
    >> selection of crypto parameters is done by the more constrained device,

    > Point taken, but isn't that also an exposure to a downgrade attack by a
    > bad actor pretending to be constrained in order to reduce algorithm or
    > key strength?

The bad actor would have to conduct a man-in-the-middle attack.
(If it's just pretending to be another device, then it's just some kind
of impersonation attack)

Once the bad actor had done the MITM to substitute poorer crypto, the
initiator (the domain owner/registrar) would then have to incorrectly accept
a cipher that it didn't propose.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-